# \Thelia\ModelCouponQuery

Skeleton subclass for performing query and update operations on the 'coupon' table.

You should add additional methods to this class to meet the application requirements. This class will only be generated as long as it does not already exist in the output directory.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByCode()
filterByAction()
filterByValue()
filterByUsed()
filterByAvailableSince()
filterByDateLimit()
filterByActivate()
filterByCreatedAt()
filterByUpdatedAt()
filterByCouponRule()
joinCouponRule()
useCouponRuleQuery()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
orderById()
orderByCode()
orderByAction()
orderByValue()
orderByUsed()
orderByAvailableSince()
orderByDateLimit()
orderByActivate()
orderByCreatedAt()
orderByUpdatedAt()
groupById()
groupByCode()
groupByAction()
groupByValue()
groupByUsed()
groupByAvailableSince()
groupByDateLimit()
groupByActivate()
groupByCreatedAt()
groupByUpdatedAt()
leftJoin()
rightJoin()
innerJoin()
leftJoinCouponRule()
rightJoinCouponRule()
innerJoinCouponRule()
findOne()
findOneOrCreate()
findOneById()
findOneByCode()
findOneByAction()
findOneByValue()
findOneByUsed()
findOneByAvailableSince()
findOneByDateLimit()
findOneByActivate()
findOneByCreatedAt()
findOneByUpdatedAt()
findById()
findByCode()
findByAction()
findByValue()
findByUsed()
findByAvailableSince()
findByDateLimit()
findByActivate()
findByCreatedAt()
findByUpdatedAt()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Model/CouponQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\CouponQuery
  \Thelia\Model\CouponQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\CouponQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\CouponQuery

Returns a new ChildCouponQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\CouponQuery

#

static

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findPk()

    findPk(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Coupon|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(12, $con);`

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\Coupon|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(12, 56, 832), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\CouponQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\CouponQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\CouponQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\CouponQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\CouponQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CouponQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### filterByCode()

    filterByCode(string $code, string $comparison) : \Thelia\Model\CouponQuery

Filter the query on the code column

Example usage: `$query->filterByCode('fooValue'); // WHERE code = 'fooValue' $query->filterByCode('%fooValue%'); // WHERE code LIKE '%fooValue%'`

#### Parameters

string | $code | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CouponQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### filterByAction()

    filterByAction(string $action, string $comparison) : \Thelia\Model\CouponQuery

Filter the query on the action column

Example usage: `$query->filterByAction('fooValue'); // WHERE action = 'fooValue' $query->filterByAction('%fooValue%'); // WHERE action LIKE '%fooValue%'`

#### Parameters

string | $action | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CouponQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### filterByValue()

    filterByValue(mixed $value, string $comparison) : \Thelia\Model\CouponQuery

Filter the query on the value column

Example usage: `$query->filterByValue(1234); // WHERE value = 1234 $query->filterByValue(array(12, 34)); // WHERE value IN (12, 34) $query->filterByValue(array('min' => 12)); // WHERE value > 12`

#### Parameters

mixed | $value | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CouponQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### filterByUsed()

    filterByUsed(mixed $used, string $comparison) : \Thelia\Model\CouponQuery

Filter the query on the used column

Example usage: `$query->filterByUsed(1234); // WHERE used = 1234 $query->filterByUsed(array(12, 34)); // WHERE used IN (12, 34) $query->filterByUsed(array('min' => 12)); // WHERE used > 12`

#### Parameters

mixed | $used | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CouponQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### filterByAvailableSince()

    filterByAvailableSince(mixed $availableSince, string $comparison) : \Thelia\Model\CouponQuery

Filter the query on the available_since column

Example usage: `$query->filterByAvailableSince('2011-03-14'); // WHERE available_since = '2011-03-14' $query->filterByAvailableSince('now'); // WHERE available_since = '2011-03-14' $query->filterByAvailableSince(array('max' => 'yesterday')); // WHERE available_since > '2011-03-13'`

#### Parameters

mixed | $availableSince | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CouponQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### filterByDateLimit()

    filterByDateLimit(mixed $dateLimit, string $comparison) : \Thelia\Model\CouponQuery

Filter the query on the date_limit column

Example usage: `$query->filterByDateLimit('2011-03-14'); // WHERE date_limit = '2011-03-14' $query->filterByDateLimit('now'); // WHERE date_limit = '2011-03-14' $query->filterByDateLimit(array('max' => 'yesterday')); // WHERE date_limit > '2011-03-13'`

#### Parameters

mixed | $dateLimit | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CouponQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### filterByActivate()

    filterByActivate(mixed $activate, string $comparison) : \Thelia\Model\CouponQuery

Filter the query on the activate column

Example usage: `$query->filterByActivate(1234); // WHERE activate = 1234 $query->filterByActivate(array(12, 34)); // WHERE activate IN (12, 34) $query->filterByActivate(array('min' => 12)); // WHERE activate > 12`

#### Parameters

mixed | $activate | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CouponQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\CouponQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CouponQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\CouponQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CouponQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### filterByCouponRule()

    filterByCouponRule(\Thelia\Model\CouponRule|\Propel\Runtime\Collection\ObjectCollection $couponRule, string $comparison) : \Thelia\Model\CouponQuery

Filter the query by a related \Thelia\Model\CouponRule object

#### Parameters

\Thelia\Model\CouponRule|\Propel\Runtime\Collection\ObjectCollection | $couponRule | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CouponQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### joinCouponRule()

    joinCouponRule(string $relationAlias, string $joinType) : \Thelia\Model\CouponQuery

Adds a JOIN clause to the query using the CouponRule relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CouponQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### useCouponRuleQuery()

    useCouponRuleQuery(string $relationAlias, string $joinType) : \Thelia\Model\CouponRuleQuery

Use the CouponRule relation CouponRule object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CouponRuleQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\CouponQuery
See also

## Tags

None found

### prune()

    prune(\Thelia\Model\Coupon $coupon) : \Thelia\Model\CouponQuery

Exclude object from result

#### Parameters

\Thelia\Model\Coupon | $coupon | Object to remove from the list of results

#### Returns

\Thelia\Model\CouponQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the coupon table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildCoupon or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\CouponQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\CouponQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\CouponQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\CouponQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\CouponQuery

Order by update date desc

#### Returns

\Thelia\Model\CouponQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\CouponQuery

Order by update date asc

#### Returns

\Thelia\Model\CouponQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\CouponQuery

Order by create date desc

#### Returns

\Thelia\Model\CouponQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\CouponQuery

Order by create date asc

#### Returns

\Thelia\Model\CouponQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\CouponQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### orderByCode()

    orderByCode($order =) : \Thelia\Model\CouponQuery

Order by the code column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### orderByAction()

    orderByAction($order =) : \Thelia\Model\CouponQuery

Order by the action column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### orderByValue()

    orderByValue($order =) : \Thelia\Model\CouponQuery

Order by the value column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### orderByUsed()

    orderByUsed($order =) : \Thelia\Model\CouponQuery

Order by the used column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### orderByAvailableSince()

    orderByAvailableSince($order =) : \Thelia\Model\CouponQuery

Order by the available_since column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### orderByDateLimit()

    orderByDateLimit($order =) : \Thelia\Model\CouponQuery

Order by the date_limit column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### orderByActivate()

    orderByActivate($order =) : \Thelia\Model\CouponQuery

Order by the activate column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\CouponQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\CouponQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\CouponQuery

Group by the id column

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### groupByCode()

    groupByCode() : \Thelia\Model\CouponQuery

Group by the code column

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### groupByAction()

    groupByAction() : \Thelia\Model\CouponQuery

Group by the action column

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### groupByValue()

    groupByValue() : \Thelia\Model\CouponQuery

Group by the value column

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### groupByUsed()

    groupByUsed() : \Thelia\Model\CouponQuery

Group by the used column

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### groupByAvailableSince()

    groupByAvailableSince() : \Thelia\Model\CouponQuery

Group by the available_since column

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### groupByDateLimit()

    groupByDateLimit() : \Thelia\Model\CouponQuery

Group by the date_limit column

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### groupByActivate()

    groupByActivate() : \Thelia\Model\CouponQuery

Group by the activate column

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\CouponQuery

Group by the created_at column

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\CouponQuery

Group by the updated_at column

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\CouponQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\CouponQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\CouponQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### leftJoinCouponRule()

    leftJoinCouponRule($relationAlias =) : \Thelia\Model\CouponQuery

Adds a LEFT JOIN clause to the query using the CouponRule relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### rightJoinCouponRule()

    rightJoinCouponRule($relationAlias =) : \Thelia\Model\CouponQuery

Adds a RIGHT JOIN clause to the query using the CouponRule relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### innerJoinCouponRule()

    innerJoinCouponRule($relationAlias =) : \Thelia\Model\CouponQuery

Adds a INNER JOIN clause to the query using the CouponRule relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CouponQuery

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\Coupon

Return the first ChildCoupon matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Coupon

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\Coupon

Return the first ChildCoupon matching the query, or a new ChildCoupon object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Coupon

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\Coupon

Return the first ChildCoupon filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\Coupon

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findOneByCode()

    findOneByCode(string $code) : \Thelia\Model\Coupon

Return the first ChildCoupon filtered by the code column

#### Parameters

string | $code |

#### Returns

\Thelia\Model\Coupon

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findOneByAction()

    findOneByAction(string $action) : \Thelia\Model\Coupon

Return the first ChildCoupon filtered by the action column

#### Parameters

string | $action |

#### Returns

\Thelia\Model\Coupon

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findOneByValue()

    findOneByValue(double $value) : \Thelia\Model\Coupon

Return the first ChildCoupon filtered by the value column

#### Parameters

double | $value |

#### Returns

\Thelia\Model\Coupon

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findOneByUsed()

    findOneByUsed(int $used) : \Thelia\Model\Coupon

Return the first ChildCoupon filtered by the used column

#### Parameters

int | $used |

#### Returns

\Thelia\Model\Coupon

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findOneByAvailableSince()

    findOneByAvailableSince(string $available_since) : \Thelia\Model\Coupon

Return the first ChildCoupon filtered by the available_since column

#### Parameters

string | $available_since |

#### Returns

\Thelia\Model\Coupon

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findOneByDateLimit()

    findOneByDateLimit(string $date_limit) : \Thelia\Model\Coupon

Return the first ChildCoupon filtered by the date_limit column

#### Parameters

string | $date_limit |

#### Returns

\Thelia\Model\Coupon

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findOneByActivate()

    findOneByActivate(int $activate) : \Thelia\Model\Coupon

Return the first ChildCoupon filtered by the activate column

#### Parameters

int | $activate |

#### Returns

\Thelia\Model\Coupon

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\Coupon

Return the first ChildCoupon filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\Coupon

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\Coupon

Return the first ChildCoupon filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\Coupon

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildCoupon objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findByCode()

    findByCode(string $code) : array

Return ChildCoupon objects filtered by the code column

#### Parameters

string | $code |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findByAction()

    findByAction(string $action) : array

Return ChildCoupon objects filtered by the action column

#### Parameters

string | $action |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findByValue()

    findByValue(double $value) : array

Return ChildCoupon objects filtered by the value column

#### Parameters

double | $value |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findByUsed()

    findByUsed(int $used) : array

Return ChildCoupon objects filtered by the used column

#### Parameters

int | $used |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findByAvailableSince()

    findByAvailableSince(string $available_since) : array

Return ChildCoupon objects filtered by the available_since column

#### Parameters

string | $available_since |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findByDateLimit()

    findByDateLimit(string $date_limit) : array

Return ChildCoupon objects filtered by the date_limit column

#### Parameters

string | $date_limit |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findByActivate()

    findByActivate(int $activate) : array

Return ChildCoupon objects filtered by the activate column

#### Parameters

int | $activate |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildCoupon objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildCoupon objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Coupon

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Coupon —

A model object, or null if the key is not found

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Coupon|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Coupon|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\CouponQuery

## Tags

None found

### CouponQuery.php